Update Global Abandoned Cart Settings
Update the global abandoned cart settings of a store.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
email_customer_until_cart_is_recovered
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered
marketing_emails_require_customer_consent
Indicates whether or not a customer should receive abandoned cart emails based on their consent. By default customers will not receive emails
email_merchant_when_cart_is_converted
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order
email_merchant_when_cart_is_abandoned
Indicates whether or not a merchant should receive a notification email when a cart is abandoned
merchant_email_address
The email address for receiving merchant notifications
merchant_abandoned_cart_email_frequency_type
Indicates whether to send an email for every abandoned cart, or to send a digest email after X number of abandoned carts
Allowed values:
merchant_abandoned_cart_digest_email_frequency
The number of abandoned carts to accumulate before a digest email is sent to a merchant
enable_notification
Indicates whether or not abandoned cart notification is on
Response
OK
data
Represents all settings related to the abandoned cart functionality of a store
meta
Response metadata
Errors
401
Unauthorized Error
422
Unprocessable Entity Error